import React from "react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import {
  faCaretDown,
  faCoffee,
  faHome,
  faSearch,
} from "@fortawesome/free-solid-svg-icons";
import Head from "next/head";
import Image from "next/image";
import logo from "../public/images/logo-univ.png";

const MainLayout = ({
  showNav,
  title,
  activeHome,
  activeSearch,
  activeCart,
  children,
}) => {
  return (
    <div className="h-screen">
      <Head>
        <title>{process.env.APPNAME}</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      {showNav && (
        <header className="px-5 py-3 sm:px-8 shadow-md">
          <div className="flex justify-between items-center">
            <FontAwesomeIcon className="w-6 h-6" icon={faCoffee} />
            <h1 className="font-bold">{title}</h1>
            <Image
              className="rounded-full"
              width={24}
              height={24}
              src={logo}
              alt="logo"
            />
          </div>
        </header>
      )}
      <main>{children}</main>
      {showNav ? (
        <footer className="absolute bottom-0 w-screen z-50 flex justify-evenly items-center py-3 shadow-invert-top">
          <FontAwesomeIcon
            className={`w-6 h-6 ${activeHome ? "text-primaryColor" : ""}`}
            h-6
            icon={faHome}
          />
          <FontAwesomeIcon
            className={`w-6 h-6 ${activeSearch ? "text-primaryColor" : ""}`}
            icon={faSearch}
          />
          <FontAwesomeIcon
            className={`w-6 h-6 ${activeCart ? "text-primaryColor" : ""}`}
            icon={faCaretDown}
          />
        </footer>
      ) : (
        ""
      )}
    </div>
  );
};

export default MainLayout;
